using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for StrukturyDanych
/// </summary>


namespace StrukturyDanych
{
    public class Osoba
    {
        public string Imie = "";
        public string Nazwisko = "";
        public string Email = "";

        //Zatrudnienie
        public string InstytucjaNazwa = "";
        public string InstytucjaAdres1 = "";
        public string InstytucjaAdres2 = "";

        //Wklad do konferencji
        public bool CzyWyklad = false;        

        public void UsunApostrofy()
        {
            Imie = Imie.Replace('\'', '#');
            Nazwisko = Nazwisko.Replace('\'', '#');
            Email = Email.Replace('\'', '#'); //tu nie powinno byc apostrofu
            InstytucjaNazwa = InstytucjaNazwa.Replace('\'', '#');
            InstytucjaAdres1 = InstytucjaAdres1.Replace('\'', '#');
            InstytucjaAdres2 = InstytucjaAdres2.Replace('\'', '#');
        }
    }

    public class Wyklad
    {
        public string Tytul = "";
        public string Mowca = "";
        public string PozostaliAutorzy = "";
        public string Streszczenie = "";

        public void UsunApostrofy()
        {
            Tytul = Tytul.Replace('\'', '#');
            Mowca = Mowca.Replace('\'', '#');
            PozostaliAutorzy = PozostaliAutorzy.Replace('\'', '#');
            Streszczenie = Streszczenie.Replace('\'', '#');
        }
    }

    public class Nocleg
    {
        public int Przyjazd = 0;
        public int Wyjazd = 0;
        public bool CzyNocleg = true;
        public bool CzyWyzywienie = true;
        public string TypPokoju = "";
        public bool OsobaTowarzyszaca = false;
    }
}